%define main_version 080730
Name:		svxlink
Version:	%{main_version}
Release:	1%{?dist}
Summary:	Repeater controller and EchoLink (simplex or repeater)

Group:		Applications/Internet
License:	GPLv2+
URL:		http://svxlink.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	http://downloads.sourceforge.net/%{name}/sounds-%{version}.tar.gz
Patch0:		svxlink-080730-tcl.patch
Patch1:		svxlink-080730-spandsp-0.5.patch
Patch2:		svxlink-080730-x86_64.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libsigc++-devel
BuildRequires:	tcl-devel
BuildRequires:	qt3-devel
BuildRequires:	gsm-devel
BuildRequires:	spandsp-devel
BuildRequires:	libXi-devel
BuildRequires:	popt-devel
BuildRequires:	doxygen
BuildRequires:	desktop-file-utils
Requires (preun): chkconfig
Requires (preun): initscripts
Requires (post): chkconfig
Requires (postun): initscripts

%description
The SvxLink project is a multi purpose voice services system for
ham radio use. For example, EchoLink connections are supported.
Also, the SvxLink server can act as a repeater controller.

%package -n libasync
Summary: Svxlink async libs
Group: Development/Libraries
Version: 0.16.1

%description -n libasync
The Async library files.

%package -n libasync-devel
Summary: Svxlink async development files
Group: Development/Libraries
Version: 0.16.1
Requires: libasync = 0.16.1

%description -n libasync-devel
The async library development files

%package -n echolib
Summary: EchoLink communications library
Group: Development/Libraries
Version: 0.13.0

%description -n echolib
EchoLink communications library

%package -n echolib-devel
Summary: Development files for the EchoLink communications library
Group: Development/Libraries
Version: 0.13.0
Requires: echolib = 0.13.0

%description -n echolib-devel
Development files for the EchoLink communications library

%package -n qtel
Summary: The Qt EchoLink Client
Group: Applications/Communications
Version: 0.11.1
Requires: echolib

%description -n qtel
This package contains Qtel, the Qt EchoLink client. It is an implementation of
the EchoLink software in Qt. This is only an EchoLink client, that is it can
not be connected to a transciever to create a link. If it is a pure link node
you want, install the svxlink-server package.

%package -n svxlink-server
Summary: SvxLink - A general purpose voice services system
Version: 0.10.1
Group: Applications/Communications
Requires: echolib

%description -n svxlink-server
The SvxLink server is a general purpose voice services system for ham radio
use. Each voice service is implemented as a plugin called a module.
Some examples of voice services are: Help system, Simplex repeater,
EchoLink connection.

The core of the system handle the radio interface and is quite flexible
as well. It can act both as a simplex node and as a repeater controller.

%package -n svxlink-server-devel
Summary: SvxLink - A general purpose voice services system
Summary: Development files for the SvxLink server
Version: 0.10.1
Group: Applications/Communications

%description -n svxlink-server-devel
Development files for the SvxLink server

%prep
%setup -q -n %{name}-%{main_version}
%setup -q -D -T -a 1 -n %{name}-%{main_version}
%patch0 -p1 -b .tcl
#%patch1 -p1 -b .spandsp
%patch2 -p1 -b .x86_64


%build
make %{?_smp_mflags}
doxygen doxygen.async
doxygen doxygen.echolib


%install
rm -rf %{buildroot}
make INSTALL_ROOT=$RPM_BUILD_ROOT NO_CHOWN=1 LIB_INSTALL_DIR=%{_libdir} \
	INC_INSTALL_DIR=%{_includedir}/svxlink BIN_INSTALL_DIR=%{_bindir} \
	SBIN_INSTALL_DIR=%{_sbindir} PLUGIN_INSTALL_DIR=%{_libdir}/svxlink install
mkdir -p %{buildroot}%{_datadir}/svxlink
cp -a sounds %{buildroot}%{_datadir}/svxlink/
mkdir -p %{buildroot}%{_localstatedir}/log
touch %{buildroot}%{_localstatedir}/log/svxlink
touch %{buildroot}%{_localstatedir}/log/svxlink.{1,2,3,4}
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications qtel/qtel.desktop
mv %{buildroot}%{_sysconfdir}/logrotate.d/svxlink %{buildroot}%{_sysconfdir}/logrotate.d/svxlink-server
sed -i -e "s/subsys\/\$PROG/subsys\/svxlink/g" %{buildroot}%{_sysconfdir}/init.d/svxlink
sed -i -e "s/subsys\/\$PROG/subsys\/remotetrx/g" %{buildroot}%{_sysconfdir}/init.d/remotetrx

%post -n libasync -p /sbin/ldconfig
%postun -n libasync -p /sbin/ldconfig

%post -n echolib -p /sbin/ldconfig
%postun -n echolib -p /sbin/ldconfig

%pre -n svxlink-server
if ! egrep -q "^svxlink" /etc/passwd; then
  /usr/sbin/useradd -M -n -g daemon -o -r -s /bin/nologin -d / -c "SvxLink Daemon" \
	svxlink >/dev/null 2>&1 || :
fi

%post -n svxlink-server
/sbin/chkconfig --add svxlink

%preun -n svxlink-server
if [ $1 = 0 ]; then
  /sbin/service svxlink stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del svxlink
fi

%postun -n svxlink-server 
if [ "$1" -ge "1" ] ; then
 /sbin/service cwdaemon condrestart >/dev/null 2>&1 || :
fi

%clean
rm -rf %{buildroot}


%files -n libasync
%defattr(-,root,root,-)
%doc async/ChangeLog
%defattr(644,root,root)
%{_libdir}/libasync*.so*

%files -n libasync-devel
%defattr(-,root,root,-)
%doc doc/async/html
%defattr(644,root,root)
%{_libdir}/libasync*
%{_includedir}/svxlink/Async*
%{_includedir}/svxlink/SigCAudio*.h

%files -n echolib
%defattr(-,root,root,-)
%doc echolib/ChangeLog
%defattr(644,root,root)
%{_libdir}/libecholib*.so*

%files -n echolib-devel
%defattr(-,root,root,-)
%doc doc/echolib/html
%defattr(644,root,root)
%{_libdir}/libecholib*
%{_includedir}/svxlink/EchoLink*

%files -n qtel
%defattr(-,root,root,-)
%doc qtel/ChangeLog
%{_bindir}/qtel
%{_datadir}/qtel/sounds/connect.raw
%{_datadir}/qtel/translations/qtel_sv.qm
%{_datadir}/icons/link.xpm
%{_datadir}/applications/qtel.desktop

%files -n svxlink-server
%defattr(-,root,root,-)
%doc svxlink/ChangeLog
%{_bindir}/svxlink
%{_bindir}/dtmf_plot
%{_bindir}/remotetrx
%{_bindir}/siglevdetcal
%{_libdir}/svxlink/Module*.so
%dir %{_datadir}/svxlink
%dir %{_sysconfdir}/svxlink.d
%{_datadir}/svxlink/sounds/Core
%{_datadir}/svxlink/sounds/Default
%{_datadir}/svxlink/sounds/DtmfRepeater
%{_datadir}/svxlink/sounds/EchoLink
%{_datadir}/svxlink/sounds/Help
%{_datadir}/svxlink/sounds/Parrot
%{_datadir}/svxlink/sounds/TclVoiceMail
%{_datadir}/svxlink/sounds/events.tcl
%{_datadir}/svxlink/sounds/events.d/*
%defattr(644,root,root)
%config(noreplace) %{_sysconfdir}/svxlink.conf
%config(noreplace) %{_sysconfdir}/svxlink.d/*
%config(noreplace) %{_sysconfdir}/TclVoiceMail.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/svxlink-server
%config(noreplace) %{_sysconfdir}/remotetrx.conf
%config(noreplace) %{_sysconfdir}/sysconfig/svxlink
%config(noreplace) %{_sysconfdir}/sysconfig/remotetrx
%config(noreplace) %{_sysconfdir}/security/console.perms.d/90-svxlink.perms
%config(noreplace) %{_sysconfdir}/udev/rules.d/10-svxlink.rules
%{_mandir}/man*/*
%attr(755,svxlink,daemon) %dir %{_localstatedir}/spool/svxlink
%attr(755,svxlink,daemon) %dir %{_localstatedir}/spool/svxlink/voice_mail
%defattr(755,root,root)
%{_datadir}/svxlink/event_test.tcl
%{_sysconfdir}/init.d/svxlink
%{_sysconfdir}/init.d/remotetrx
%defattr(644,root,root)
%ghost /var/log/*

%files -n svxlink-server-devel
%defattr(-,root,root,-)
%doc svxlink/ChangeLog
%{_includedir}/svxlink/Module.h
%{_includedir}/svxlink/MsgHandler.h
%{_includedir}/svxlink/EventHandler.h
%{_includedir}/svxlink/NetTrxMsg.h
%{_includedir}/svxlink/Rx.h
%{_includedir}/svxlink/Tx.h
%{_libdir}/libtrx.a

%changelog
* Sun Aug 10 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0-0.1.080730
- Initial spec (parts of it imported from upstream spec)


